summaryrefslogtreecommitdiff
path: root/net-im
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-09-22 18:47:35 -0500
committerCrucible <crucible@localhost>2026-09-22 18:47:35 -0500
commitcde96c5ea0c81397fd3214d455a374f76179a7aa (patch)
tree12c86d59eb88887c244b1145411db084ae5a6c1f /net-im
parent47516b9667518dacb1efd6d257f7b3e6a481ec93 (diff)
downloadbaldeagleos-repo-cde96c5ea0c81397fd3214d455a374f76179a7aa.tar.gz
baldeagleos-repo-cde96c5ea0c81397fd3214d455a374f76179a7aa.tar.xz
baldeagleos-repo-cde96c5ea0c81397fd3214d455a374f76179a7aa.zip
Publish baldeagleos-repo candidate 0000000325-20260922-184323
Diffstat (limited to 'net-im')
-rw-r--r--net-im/discord/Manifest10
-rw-r--r--net-im/discord/discord-1.0.159.ebuild223
-rw-r--r--net-im/ejabberd/ejabberd-26.04.ebuild2
-rw-r--r--net-im/why2/why2-2.2.1.ebuild3
4 files changed, 236 insertions, 2 deletions
diff --git a/net-im/discord/Manifest b/net-im/discord/Manifest
index ba2dbbdd5165..60dc628ea9f8 100644
--- a/net-im/discord/Manifest
+++ b/net-im/discord/Manifest
@@ -18,4 +18,14 @@ DIST discord-1.0.154-discord_utils.distro 4603144 BLAKE2B a03fdd76b67c2966db9c90
DIST discord-1.0.154-discord_voice.distro 33780368 BLAKE2B 89c44693b86d90de419f3fe65ffa9db24cb3eebe24f857207b5a8b54edcd944253d8a84f17eea989ccb56a50ac664cbf9cf5ca359a7467d819495c3b22616608 SHA512 ec8a315c432e815e24d54ad9d83bb5b238aad23308af764646e90d7334e1d77fcd2aaff7036ea1e0ae8c8fe4b1404e7f3fc27baaa4cd3a8061dc9118012e45e1
DIST discord-1.0.154-discord_zstd.distro 328062 BLAKE2B 0862f9921aaadac7834faac860e2bb7ed2e199347751346adf8c8826cede8d0491e8158bffdcb6aba3ab0d39a3a466cffe5b6a697c40fa5bb550c30fe7fc3e06 SHA512 f2172daaab92665c9cab4d8aae9bce54c4a29b3cd11caa2a1fb0dfaa3c228943b49da7a7e0b2fdde36e17f0b9fd11aa19c3637aa47baa98de283c38a19dbc957
DIST discord-1.0.154.distro 99544579 BLAKE2B c1bb7757e02a7d444029b8ca02e5bb1f18ae7a24f14a363cd6ddd402e441aa9835f52b24895787a44996b0a29e0eb3deaebf7982a4d6593c31d90a233a056278 SHA512 e2428972ea2d93de6b49773606d2168c5b185fdd47dcc272578c4dc8d786b5b7013e5ac66d14d9e9c26631301d2de0c1ee7564162b9cc2dfe5fbaebc2eb56a02
+DIST discord-1.0.159-discord_desktop_core.distro 506735 BLAKE2B f0793b02f19f5797b674af4edf0d7d80022bac9a7f8dc634658f9eef1b6962d88d256bc2c7ad5632f4b28d9653d18439db7821f62ee7cec227104e254c83dd71 SHA512 2317991821271cccd5ffd3650431f9cc59e7bd640fc682b87c9cee7f4dad944ab4e033075aaff421a15d4dc6994fe059155832a0fe56ef42731eb456694b5b07
+DIST discord-1.0.159-discord_erlpack.distro 1820785 BLAKE2B 189abcc61b6b84607e87eec1d7cf34b562042e36aa3e31d67ee16f41d316a2c2848e23f5bef056c5bbf78524bf8e4f9ce353b657d473f855a501c7d61a6bfd04 SHA512 c5c77f907b86de877b3e03e8fe35031528e7b2f03554c84e2bff97d8e8d26b6a86611a0e393407bb1242aedbe4898f1d2c8233861bd07fa0ae2f0606c0c8feb7
+DIST discord-1.0.159-discord_game_utils.distro 2815490 BLAKE2B 52fb3de1c4c9e4166dde3b361193e39f7a40ed3c2a1e5aae716baf162cb398310e958ca74e939ab4745fcdc694140dcfbaa77d10e4c633f58735f3ae5b6f8092 SHA512 417e5fdbf7341588abf135578e7f30bd4f08d97bc96bb3e64a8fee43ff908eaac11de5d78b85ad03366334833fe022db1fde914c655e4af816f24d41fd0de54c
+DIST discord-1.0.159-discord_krisp.distro 35626135 BLAKE2B d0d3327e5eceafdef2cedd9818ab88d7cf018eadaca21a2806b5d58ea004be6ace300dd213511c82f30ac3b8abf75af6f3432a849dcb70ec1b843737408f45a8 SHA512 510761d9b25997c1e71d0f823066790924e845e5f294c650b5d038a3b761c29fb9910dae6bcf562c73cb3fef2dc1ec4c73f512f426bb146164dc6c8b9a8f702c
+DIST discord-1.0.159-discord_rpc.distro 27468 BLAKE2B b833274842348158e53e19d1661b3c996675b35732d91048518f6a7c78d47d661ed51a32be3a28c1fd4e2e62df48f831e3a31a7021b85d450262ae3f7d51050d SHA512 5826f81904b7b8d5be06f98254d353f2e21fc3bf51b08673a92619153a62f02f90ebca633229670785b18e6e20ca680e384ecd856bff055619a6a433d3ac85c8
+DIST discord-1.0.159-discord_spellcheck.distro 8941627 BLAKE2B 127d97250f036f5339c031025a9690865eea621d4ff3bad090f507fbb787c5c69ad906ca617cef8fea0922ba3966e1a2815e20b590e6a0dbaf928af09482ca84 SHA512 0233a43bab269947d4f5a1c9d616348641a65ccccf7ffac3f389ed8f9fe39eea44673589b7ab3d4ccfc20df77169fa8108fda5ab612dc085e1f71577ad3ad5e6
+DIST discord-1.0.159-discord_utils.distro 4109369 BLAKE2B 6372fcd5aa1a8ca6cd237236d6e0761dc4616cdbedebfbb59c32991fabf951583afc16ca64ca051cb9b04ba0fe7c73760e42d1ae391235cdfc2b6e32011c9d72 SHA512 26e1c4c5dc82423cb5b5ab3b4597c8d8d24a9bdc6543771524a178a0deab1f34d0602525c6f30eb29c4ebfbd9f2a9a369ad3427e609388bcf187b868b559f235
+DIST discord-1.0.159-discord_voice.distro 36856071 BLAKE2B fbce5da97eff42e42ce225e5edefad86192c32b8d1e020d96a053d04033e1e6f17dfad9d8d2ab0088b2c539b1f05c258848eee540045b02e8630aa83c47ea859 SHA512 0f17e48fcef921c2a743dba4ab60e4a8ebf6c7616fc9b029920094ba10ee48e4c04ed36dbab9f988ea7d43430432ec748597e24e96d8ec362675556f0cd12398
+DIST discord-1.0.159-discord_zstd.distro 298305 BLAKE2B 3449f293b143f134bbfec07bef14f9d09cd6da97bcfbc8d8d2028cbcade14176c9479c149f550a1278f16a61bf72eb32f9423baa2c19f054b87f49ae62840f09 SHA512 04d706a2fc3d8dd0a1354bbd8e5e41fc41104f11e7244bc5755577234819856fa81bdb1a74e3a621c61ccc7490c217b4a373c8b997525dce200b05f205ff46a3
+DIST discord-1.0.159.distro 89995747 BLAKE2B fa602f3f5ac2e96db5e55e1604c4ae3c55787105b7f72e630a2292ec336bd9cff7de09d750ee68096d7ff6dbdddf7afaf14f3826ed182b9dacdd2507fdf3bd86 SHA512 4c83350f4db5e5b4b6f44aac2c449152be65a1481bf3973765aeb15cffc0b18e0718d610174c68eec9ab789ca59663ca8ba23c056296d8d9895ebd69e1fbc4a8
DIST discord-disable-breaking-updates-2f26748a667045d26bc19841f1a731b4be7a7514.py 1299 BLAKE2B b6c923c450a28405e2a439e0d1b8a83e01e0536c62095fafbae74612aa4e891df733aa13999ce6a8be3618fd14e154aec802aa4ee21aad1303b05626ffd23314 SHA512 a7ef493a216c71a5b02685cff6866bfc3940aaf9cdc73b58859c962d0d33b613349289ef7027359f184f42dddaed486b84f6d85b9023ab8530ab7ba66431c3c7
diff --git a/net-im/discord/discord-1.0.159.ebuild b/net-im/discord/discord-1.0.159.ebuild
new file mode 100644
index 000000000000..008eb84bc750
--- /dev/null
+++ b/net-im/discord/discord-1.0.159.ebuild
@@ -0,0 +1,223 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PN="${PN/-bin/}"
+MY_PV="${PV/-r*/}"
+
+CHROMIUM_LANGS="
+ af am ar bg bn ca cs da de el en-GB en-US es es-419 et fa fi fil fr gu he hi
+ hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr sv
+ sw ta te th tr uk ur vi zh-CN zh-TW
+"
+PYTHON_COMPAT=( python3_{13..14} )
+UPDATE_DISABLER_COMMIT="2f26748a667045d26bc19841f1a731b4be7a7514"
+
+inherit chromium-2 desktop linux-info optfeature python-single-r1 unpacker xdg
+
+DESCRIPTION="All-in-one voice and text chat for gamers"
+HOMEPAGE="https://discord.com/"
+
+SRC_URI="
+ https://stable.dl2.discordapp.net/distro/app/stable/linux/x64/${MY_PV}/full.distro -> ${P}.distro
+ https://stable.dl2.discordapp.net/distro/app/stable/linux/x64/${MY_PV}/discord_desktop_core/1/full.distro
+ -> ${P}-${MY_PN}_desktop_core.distro
+ https://stable.dl2.discordapp.net/distro/app/stable/linux/x64/${MY_PV}/discord_erlpack/1/full.distro
+ -> ${P}-${MY_PN}_erlpack.distro
+ https://stable.dl2.discordapp.net/distro/app/stable/linux/x64/${MY_PV}/discord_spellcheck/1/full.distro
+ -> ${P}-${MY_PN}_spellcheck.distro
+ https://stable.dl2.discordapp.net/distro/app/stable/linux/x64/${MY_PV}/discord_utils/1/full.distro
+ -> ${P}-${MY_PN}_utils.distro
+ https://stable.dl2.discordapp.net/distro/app/stable/linux/x64/${MY_PV}/discord_voice/1/full.distro
+ -> ${P}-${MY_PN}_voice.distro
+ https://stable.dl2.discordapp.net/distro/app/stable/linux/x64/${MY_PV}/discord_zstd/1/full.distro
+ -> ${P}-${MY_PN}_zstd.distro
+ https://stable.dl2.discordapp.net/distro/app/stable/linux/x64/${MY_PV}/discord_rpc/1/full.distro
+ -> ${P}-${MY_PN}_rpc.distro
+ https://stable.dl2.discordapp.net/distro/app/stable/linux/x64/${MY_PV}/discord_game_utils/1/full.distro
+ -> ${P}-${MY_PN}_game_utils.distro
+ https://stable.dl2.discordapp.net/distro/app/stable/linux/x64/${MY_PV}/discord_krisp/1/full.distro
+ -> ${P}-${MY_PN}_krisp.distro
+ https://github.com/flathub/com.discordapp.Discord/raw/${UPDATE_DISABLER_COMMIT}/disable-breaking-updates.py
+ -> discord-disable-breaking-updates-${UPDATE_DISABLER_COMMIT}.py
+"
+S="${WORKDIR}/${MY_PN^}"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="amd64"
+
+IUSE="appindicator +seccomp wayland"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="bindist mirror strip test"
+BDEPEND="app-arch/brotli
+ app-arch/zip"
+RDEPEND="
+ ${PYTHON_DEPS}
+ >=app-accessibility/at-spi2-core-2.46.0:2
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ dev-libs/wayland
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/mesa[gbm(+)]
+ net-print/cups
+ sys-apps/dbus
+ sys-apps/util-linux
+ sys-libs/glibc
+ x11-libs/cairo
+ x11-libs/libdrm
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:3
+ x11-libs/libX11
+ x11-libs/libXScrnSaver
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXrandr
+ x11-libs/libxcb
+ x11-libs/libxkbcommon
+ x11-libs/libxshmfence
+ x11-libs/pango
+ appindicator? ( dev-libs/libayatana-appindicator )
+"
+
+DESTDIR="/opt/${MY_PN}"
+
+QA_PREBUILT="*"
+
+CONFIG_CHECK="~USER_NS"
+
+repackage_node_modules() {
+ brotli -d "${DISTDIR}/${P}"-$1.distro -o "${T}"/$1.tar 2>/dev/null || die
+ unpack "${T}"/$1.tar || die
+ pushd "${WORKDIR}"/files 2>/dev/null || die
+ zip -rq "${WORKDIR}"/$1.zip . || die
+ popd 2>/dev/null || die
+ mv $1.zip "${S}"/resources/bootstrap/ || die
+ rm -r "${WORKDIR}"/files || die
+}
+
+src_unpack() {
+ # Upstream now only ships an autoupdater, where the binaries downloaded from the
+ # upstream package do not contain the app, but instead contain software that
+ # downloads and installs the app. To work around this, we manually download
+ # the same Brotli-compressed tar archives that the autoupdater would, for both
+ # the base app itself and the required Node modules. The Node modules need to be
+ # unpacked and installed in ~/.config/discord/${PV}/modules, and luckily the base app
+ # can automatically do this for us on the first launch if we package the Node
+ # modules into a .zip and put them in <base app location>/resources/bootstrap.
+ # Some modules are installed at runtime, but we want to bootstrap those too,
+ # so we use a custom <base app location>/resources/bootstrap/manifest.json
+ # copied over from $FILESDIR.
+ brotli -d "${DISTDIR}/${P}".distro -o "${T}/${P}.tar" 2>/dev/null || die
+ unpack "${T}/${P}.tar"
+ mv "${WORKDIR}"/files "${S}" || die
+ rm "${T}/${P}.tar" || die
+ # For any new Node modules, add the Brotli-compressed archive to SRC_URI
+ # following the same pattern, and then add a corressponding call to
+ # repackage_node_modules here. You can find a list of required modules
+ # at <base app location>/resources/bootstrap/manifest.json, as well as
+ # running the application and looking for lines in the output about "modules".
+ # If checking manifest.json, make sure to check the one directly from upstream,
+ # as the one installed on the system is copied over from $FILESDIR.
+ repackage_node_modules "discord_desktop_core"
+ repackage_node_modules "discord_erlpack"
+ repackage_node_modules "discord_spellcheck"
+ repackage_node_modules "discord_utils"
+ repackage_node_modules "discord_voice"
+ repackage_node_modules "discord_zstd"
+ repackage_node_modules "discord_rpc"
+ repackage_node_modules "discord_game_utils"
+ repackage_node_modules "discord_krisp"
+}
+
+src_configure() {
+ default
+ chromium_suid_sandbox_check_kernel_config
+}
+
+src_prepare() {
+ default
+ # cleanup languages
+ pushd "locales/" >/dev/null || die "location change for language cleanup failed"
+ chromium_remove_language_paks
+ popd >/dev/null || die "location reset for language cleanup failed"
+
+ # Update exec location in launcher
+ sed --expression "s:@@DESTDIR@@:${DESTDIR}:" \
+ "${FILESDIR}/launcher-r1.sh" > "${T}/launcher.sh" || die "updating of exec location in launcher failed"
+
+ # USE seccomp in launcher
+ if use seccomp; then
+ sed --in-place --expression '/^EBUILD_SECCOMP=/s/false/true/' \
+ "${T}/launcher.sh" || die "sed failed for seccomp"
+ fi
+
+ # USE wayland in launcher
+ if use wayland; then
+ sed --in-place --expression '/^EBUILD_WAYLAND=/s/false/true/' \
+ "${T}/launcher.sh" || die "sed failed for wayland"
+ fi
+ cp "${FILESDIR}/manifest.json" resources/bootstrap/manifest.json || die "Failed copying manifest.json"
+}
+
+src_install() {
+ doicon -s 256 "${MY_PN}.png"
+
+ # install .desktop file
+ make_desktop_entry "${EPREFIX}/usr/bin/discord" Discord "${PN}" \
+ "Network;InstantMessaging;" \
+ "StartupWMClass=discord" \
+ "Path=${EPREFIX}/usr/bin"
+
+ exeinto "${DESTDIR}"
+
+ doexe "${MY_PN^}" chrome-sandbox libEGL.so libffmpeg.so libGLESv2.so libvk_swiftshader.so
+
+ insinto "${DESTDIR}"
+ doins chrome_100_percent.pak chrome_200_percent.pak icudtl.dat resources.pak snapshot_blob.bin v8_context_snapshot.bin
+ insopts -m0755
+ doins -r locales resources
+
+ # Chrome-sandbox requires the setuid bit to be specifically set.
+ # see https://github.com/electron/electron/issues/17972
+ fowners root "${DESTDIR}/chrome-sandbox"
+ fperms 4711 "${DESTDIR}/chrome-sandbox"
+
+ # Crashpad is included in the package once in a while and when it does, it must be installed.
+ # See #903616 and #890595
+ [[ -x chrome_crashpad_handler ]] && doins chrome_crashpad_handler
+
+ # https://bugs.gentoo.org/905289
+ newins "${DISTDIR}/discord-disable-breaking-updates-${UPDATE_DISABLER_COMMIT}.py" disable-breaking-updates.py
+ python_fix_shebang "${ED}/${DESTDIR}/disable-breaking-updates.py"
+
+ exeinto "/usr/bin"
+ newexe "${T}/launcher.sh" "discord" || die "failing to install launcher"
+
+ # https://bugs.gentoo.org/898912
+ if use appindicator; then
+ dosym ../../usr/lib64/libayatana-appindicator3.so /opt/discord/libappindicator3.so
+ fi
+
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ optfeature_header "Install the following packages for additional support:"
+ optfeature "sound support" \
+ media-sound/pulseaudio media-sound/apulse[sdk] media-video/pipewire
+ optfeature "emoji support" media-fonts/noto-emoji
+ if has_version kde-plasma/kwin[-screencast] && use wayland; then
+ einfo " "
+ einfo "When using KWin on Wayland, the kde-plasma/kwin[screencast] USE flag"
+ einfo "must be enabled for screensharing."
+ einfo " "
+ fi
+}
diff --git a/net-im/ejabberd/ejabberd-26.04.ebuild b/net-im/ejabberd/ejabberd-26.04.ebuild
index e8aa7dd87bda..0e0bd175d332 100644
--- a/net-im/ejabberd/ejabberd-26.04.ebuild
+++ b/net-im/ejabberd/ejabberd-26.04.ebuild
@@ -13,7 +13,7 @@ SRC_URI="
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~sparc ~x86"
+KEYWORDS="amd64 ~arm ~sparc ~x86"
REQUIRED_USE="mssql? ( odbc )"
# TODO: Add 'tools' flag.
IUSE="captcha debug full-xml ldap mssql mysql odbc pam postgres redis
diff --git a/net-im/why2/why2-2.2.1.ebuild b/net-im/why2/why2-2.2.1.ebuild
index 90f6f91c1dff..3735aface8a9 100644
--- a/net-im/why2/why2-2.2.1.ebuild
+++ b/net-im/why2/why2-2.2.1.ebuild
@@ -713,6 +713,7 @@ BDEPEND="
"
pkg_setup() {
+ rust_pkg_setup
llvm-r2_pkg_setup
}
@@ -724,7 +725,7 @@ src_unpack() {
src_compile() {
cargo_src_compile # builds client (default features)
if use server; then
- cargo_src_compile --bin why2-server --no-default-features --features server
+ cargo_src_compile --bin why2-server --no-default-features --features server
fi
}